;--------------------------------------------------------------------
;Example Inno Setup script for creating an installation wizard for
;the example AsciiDoc website.
;
;You can wiew the example website at:
;http://www.methods.co.nz/asciidoc/example-website/
;--------------------------------------------------------------------
;
[_ISTool]
EnableISX=true

[Setup]
OutputDir=\\BLACKBIRD\srackham\projects\asciidoc\examples\website\install
SourceDir=\\BLACKBIRD\srackham\projects\asciidoc\examples\website
MinVersion=4.01.1998,4.00.1381sp3
AppCopyright=Copyright  Stuart Rackham 2003
AppName=AsciiDoc Website Manager
AppVerName=AsciiDoc Website Manager 0.1
AllowNoIcons=true
DefaultGroupName=AsciiDoc Website Manager
DisableStartupPrompt=true
DirExistsWarning=no
WindowStartMaximized=false
WindowResizable=false
AppPublisher=methods: Software
AppPublisherURL=http://www.methods.co.nz
AppSupportURL=http://www.methods.co.nz
AppUpdatesURL=http://www.methods.co.nz
AppVersion=0.1
ShowTasksTreeLines=true
AllowUNCPath=false
UsePreviousTasks=false
OutputBaseFilename=website-manager-setup
DefaultDirName={pf}\AsciiDoc Website Manager
EnableDirDoesntExistWarning=false
AppID=ASCIIDOC_WSM
UninstallDisplayName=AsciiDoc Website Manager
UninstallDisplayIcon={app}\bin\publish.ico
ChangesAssociations=true

[Files]
;Website
Source: .\*.*; DestDir: {app}
;Applications
Source: .\bin\aap\*.*; DestDir: {app}\bin\aap; Flags: recursesubdirs
Source: .\bin\asciidoc\*.*; DestDir: {app}\bin\asciidoc; Flags: recursesubdirs
Source: .\bin\python\*.*; DestDir: {app}\bin\python; Flags: recursesubdirs
;Resouces
Source: .\install\publish.ico; DestDir: {app}\bin
Source: .\artwork\*.*; DestDir: {app}\artwork

[Icons]
Name: {userdesktop}\Publish AsciiDoc Website; Filename: {app}\aap.bat; Parameters: publish; WorkingDir: {app}; IconFilename: {app}\bin\publish.ico; Comment: Publish AsciiDoc website; Flags: closeonexit createonlyiffileexists; IconIndex: 0
Name: {group}\Publish Website; Filename: {app}\aap.bat; Parameters: publish; WorkingDir: {app}; IconFilename: {app}\bin\publish.ico; Comment: Publish AsciiDoc website; Flags: closeonexit createonlyiffileexists; IconIndex: 0
Name: {group}\Force Website Publication; Filename: {app}\aap.bat; Parameters: -F publish; WorkingDir: {app}; IconFilename: {app}\bin\publish.ico; Comment: Forced rebuild and republication of website; Flags: closeonexit createonlyiffileexists; IconIndex: 0
Name: {group}\Build Website; Filename: {app}\aap.bat; WorkingDir: {app}; IconFilename: {app}\bin\publish.ico; Comment: Build website pages but do not publish; Flags: closeonexit createonlyiffileexists; IconIndex: 0
Name: {group}\AAP Version; Filename: {app}\aap.bat; WorkingDir: {app}; IconFilename: {app}\bin\publish.ico; Flags: closeonexit createonlyiffileexists; IconIndex: 0; Parameters: --version
Name: {group}\View Built Website; Filename: {app}\index.html; WorkingDir: {app}; Comment: View local copy of website; Flags: createonlyiffileexists
Name: {group}\Explore Website Documents; Filename: {app}; WorkingDir: {app}; Comment: View website documents in Explorer window
